Loading...
Searching...
No Matches
volk_32f_s32f_convertpuppet_8u.h File Reference
`#include <inttypes.h>`
`#include <volk/volk_32f_s32f_x2_convert_8u.h>`

Go to the source code of this file.

## Functions

static void | volk_32f_s32f_convertpuppet_8u_generic (uint8_t *output, const float *input, float scale, unsigned int num_points)
static void | volk_32f_s32f_convertpuppet_8u_u_sse2 (uint8_t *output, const float *input, float scale, unsigned int num_points)
static void | volk_32f_s32f_convertpuppet_8u_a_sse2 (uint8_t *output, const float *input, float scale, unsigned int num_points)
static void | volk_32f_s32f_convertpuppet_8u_u_sse (uint8_t *output, const float *input, float scale, unsigned int num_points)
static void | volk_32f_s32f_convertpuppet_8u_a_sse (uint8_t *output, const float *input, float scale, unsigned int num_points)

## Function Documentation

## volk_32f_s32f_convertpuppet_8u_a_sse()

void volk_32f_s32f_convertpuppet_8u_a_sse | ( | uint8_t * | output,
|  | const float * | input,
|  | float | scale,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_convertpuppet_8u_a_sse2()

void volk_32f_s32f_convertpuppet_8u_a_sse2 | ( | uint8_t * | output,
|  | const float * | input,
|  | float | scale,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_convertpuppet_8u_generic()

void volk_32f_s32f_convertpuppet_8u_generic | ( | uint8_t * | output,
|  | const float * | input,
|  | float | scale,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_convertpuppet_8u_u_sse()

void volk_32f_s32f_convertpuppet_8u_u_sse | ( | uint8_t * | output,
|  | const float * | input,
|  | float | scale,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_convertpuppet_8u_u_sse2()

void volk_32f_s32f_convertpuppet_8u_u_sse2 | ( | uint8_t * | output,
|  | const float * | input,
|  | float | scale,
|  | unsigned int | num_points )

inline static